Subject: Re: [PATCH net-next v2 28/33] mlx5: rx queue setup time determine frame_sz for XDP

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 8 May 2020 12:49:44 +0200

On Fri, 1 May 2020 14:32:32 +0200
Jesper Dangaard Brouer <[email-masked]> wrote:

> On Thu, 30 Apr 2020 20:12:11 +0300
> Tariq Toukan <[email-masked]> wrote:
> 
> > >> diff --git a/drivers/net/ethernet/mellanox/mlx5/core/en.h 
> > >> b/drivers/net/ethernet/mellanox/mlx5/core/en.h
> > >> index 23701c0e36ec..ba6a0ee297c6 100644
> > >> --- a/drivers/net/ethernet/mellanox/mlx5/core/en.h
> > >> +++ b/drivers/net/ethernet/mellanox/mlx5/core/en.h
> > >> @@ -652,6 +652,7 @@ struct mlx5e_rq {
> > >>       struct {
> > >>           u16            umem_headroom;
> > >>           u16            headroom;
> > >> +        u32            first_frame_sz;    
> > 
> > I also think that a better name would be: frame0_sz, or frag0_sz.  
> 
> You do realize that the name "first_frame_sz" was your suggestion last
> time... Now you give me two options, can please select one of them so I
> can update the patch for a V3 with that?

As I've not gotten any feedback from you, I'm going to choose your
first suggestion "frame0_sz" and update the patch with that...

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer